Subject: Re: Bug#285: keyboard layout selected in x2go client isn't applied to the session

From: Mike Gabriel <[email-masked]>
Date: Mon, 05 Aug 2013 14:06:15 +0200

clone #285 -1
tag -1 - pending
tag -1 - confirmed
retitle #285 keyboard layout isn't applied to the session (when resuming)
retitle -1 keyboard layout isn't applied to the session (when starting)
thanks

Hi Maciej,

I will clone issue #285, so we have two issues: one for resuming  
(#285), one for starting new sessions.

On Mo 05 Aug 2013 13:13:50 CEST "Maciej S. Szmigiero" wrote:

>> x2gostartagent: here I do not see an issue. Not that in X2Go Server  
>> there are three ways to set up your keyboard:
>>
>>   1) no setup at all (setxkb=false in sessions file)
>>   2) setup a specific setup (e.g. type=pc105/us, layout=us)
>>   3) automatic setup (-> type=auto, layout=)
>>
>> The server-side script ,,x2gosetkeyboard'' is only used for 3).
>>
>> The keyboard setup for 2) is managed from the client side by  
>> issuing setxkbmap commands via the open SSH channel.
>
> I've grepped x2goclient-4.0.1.0 sources and found only setxkbmap  
> call on client side (via "QProcess::startDetached").

Yes, that's where the settings get set...

> There is also remote xmodmap call on Maemo, but it only remaps two keys.
>
>> On x2gostartagent, everything (after testing with PyHoca-GUI and  
>> X2Go Client) works as expected.
>
> Unfortunately not for me (that's why I looked into this issue).

In order to get the new cloned bug (the one that deals with keyboard  
layout while starting X2Go sessions) fixed, please send to me  
(privately):

   your ~/.x2goclient/sessions file (grey-out sensitive information)
   your ~/.x2go/C-<sessionid>/options file (on server-side)
   your ~/.x2go/C-<sessionid>/session.log

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb